package labbar;

import java.util.Optional;

public class Board {
    private int pins = 10;
    private String winner_id = null;

    public Optional<String> getWinnder() {
        if (winner_id == null) return Optional.empty();
        return Optional.of(winner_id);
    }

    public void setUp(int pins) {
        this.pins = pins;
    }

    public void takePins(int pins) {
        this.pins -= Math.min(2, pins);
        this.pins = Math.max(0, this.pins);
    }

    public void alert(String userId, int pins) {
        if(this.pins <= 0) System.out.println(userId + String.format(" picks %d and wins!", pins));
        else System.out.println(userId + " took " + pins + " pins.");
    }

    public void printState() {
        printState(false);
    }
    public void printState(boolean lineBreak) {
        System.out.println("There are " + this.pins + " pins left.");
        if (lineBreak) System.out.println();
    }

    // GetPinsAmount
    public int getNoPins() {
        return pins;
    }
}
