package labbar;

import javax.swing.JOptionPane;

public class HumanPlayer extends Player {
    HumanPlayer(String userId) {
        super(userId);
    }

    @Override
    int takePins(Board board) {
        // Filter all non-digits from the input
        String input = JOptionPane.showInputDialog("How many pins do you want to take?").chars()
            .filter(Character::isDigit)
            .collect(StringBuilder::new, StringBuilder::appendCodePoint, StringBuilder::append)
            .toString();

        
        int i = Math.max(board.getNoPins(), Math.min(2, Integer.parseInt(input))); // "Should" never throw given input is sanitized
        board.takePins(i);
        board.alert(this.getUserId(), i);
        return i;
    }
}
